ExtBasicRadioButtonMenuItemUI (JGoodies Looks 2.6 API)
Date: 2015-01-03

com.jgoodies.looks.common

## Class ExtBasicRadioButtonMenuItemUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ButtonUI
    - - javax.swing.plaf.MenuItemUI
      - - javax.swing.plaf.basic.BasicMenuItemUI
        - - com.jgoodies.looks.common.ExtBasicMenuItemUI
          - - com.jgoodies.looks.common.ExtBasicRadioButtonMenuItemUI

- Direct Known Subclasses:
    ExtBasicCheckBoxMenuItemUI

      public class ExtBasicRadioButtonMenuItemUI
      extends ExtBasicMenuItemUI

  Renders aligned `JRadioButtonMenuItem`s.
  Version:
    $Revision: 1.9 $
  Author:
    Karsten Lentzsch

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicMenuItemUI

      `BasicMenuItemUI.MouseInputHandler`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.plaf.basic.BasicMenuItemUI

      `acceleratorDelimiter, acceleratorFont, acceleratorForeground, acceleratorSelectionForeground, arrowIcon, checkIcon, defaultTextIconGap, disabledForeground, menuDragMouseListener, menuItem, menuKeyListener, mouseInputListener, oldBorderPainted, propertyChangeListener, selectionBackground, selectionForeground`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtBasicRadioButtonMenuItemUI()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComponentUI` | `createUI(JComponent b)`
    `protected String` | `getPropertyPrefix()`
    `protected boolean` | `iconBorderEnabled()`
    `void` | `processMouseEvent(JMenuItem item, MouseEvent e, MenuElement[] path, MenuSelectionManager manager)`

    - ### Methods inherited from class com.jgoodies.looks.common.ExtBasicMenuItemUI

      `createRenderer, getPreferredMenuItemSize, installDefaults, paintMenuItem, uninstallDefaults`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicMenuItemUI

      `createMenuDragMouseListener, createMenuKeyListener, createMouseInputListener, createPropertyChangeListener, doClick, getMaximumSize, getMinimumSize, getPath, getPreferredSize, installComponents, installKeyboardActions, installListeners, installUI, paint, paintBackground, paintText, uninstallComponents, uninstallKeyboardActions, uninstallListeners, uninstallUI, update`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtBasicRadioButtonMenuItemUI

          public ExtBasicRadioButtonMenuItemUI()

  - ### Method Detail

    - #### getPropertyPrefix

          protected String getPropertyPrefix()

      Overrides:
        `getPropertyPrefix` in class `BasicMenuItemUI`

    - #### createUI

          public static ComponentUI createUI(JComponent b)

    - #### iconBorderEnabled

          protected boolean iconBorderEnabled()

      Overrides:
        `iconBorderEnabled` in class `ExtBasicMenuItemUI`

    - #### processMouseEvent

          public void processMouseEvent(JMenuItem item,
                               MouseEvent e,
                               MenuElement[] path,
                               MenuSelectionManager manager)

Copyright © 2001-2014 JGoodies Software GmbH. All Rights Reserved.